Bug 1303294 - sedispol: error(s) encountered while parsing configuration
sedispol: error(s) encountered while parsing configuration
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-01-30 06:33 EST by Hugh
Modified: 2016-12-20 13:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 13:18:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hugh 2016-01-30 06:33:52 EST
Description of problem:
Trying to view the content of a policy file pp causes an error

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. grep logrotate /var/log/audit/audit.log | audit2allow -M mypol
2. sedispol mypol.pp 
3. checkmodule -b mypol.pp

Actual results:
#sedispol mypol.pp 
Reading policy...
libsepol.policydb_read: policydb magic number 0xf97cff8f does not match expected magic number 0xf97cff8c or 0xf97cff8d
sedispol:  error(s) encountered while parsing configuration
#checkmodule -b mypol.pp
checkmodule:  loading policy configuration from mypol.pp
libsepol.policydb_read: policydb magic number 0xf97cff8f does not match expected magic number 0xf97cff8c or 0xf97cff8d
checkmodule:  error(s) encountered while parsing configuration

Expected results:
the policy to be displayed in readable form as in .te

Additional info:
I'm trying to create a selinux .te file from a .pp file
Comment 1 Milos Malik 2016-02-01 10:47:08 EST
try to use sedismod instead of sedispol
Comment 2 Hugh 2016-02-01 12:38:35 EST
I suppose this has to do with the fedora bzip2 format.
I upgraded to fc23 but it still has this problem.

your suggestion helped, but didn't actually solve my problem.
What I want is to produce a .te file which I can diff and merge into a source repository. This would enable me to easily redeploy with puppet scripts.
Is there some way to generate this output?
Comment 3 Fedora End Of Life 2016-11-24 10:17:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 13:18:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.